<?php


// $name a $message jsou data,
// která byla sem přenesena z php stránky obsahující feedback formulář
$name = $_REQUEST['name'] ;
$message = $_REQUEST['message'] ;
$vzhled = $_REQUEST['vzhled'] ;
$tema = $_REQUEST['tema'] ;
$kvalita = $_REQUEST['kvalita'] ;
$ns = "Zpravu napsal: " . $name;

require("db/db.php"); //spoji se s php souborem, ktery zajistuje pripojeni k databazi

if (!$name) {$name="anonym";}

		  
mysqli_query($con, "INSERT INTO feedback(jmeno, vzhled, tema, zpracovani, message) VALUES('$name', '$vzhled', '$tema', '$kvalita', '$message')"); //vlozi do databaze data
mysqli_close($con); //ukonci spojeni s databzi

// When we unzipped PHPMailer, it unzipped to
// public_html/PHPMailer_5.2.0
require('PHPMailer_5.2.0/class.phpmailer.php');

$mail = new PHPMailer();

// nastaví používání protokolu SMTP
$mail->IsSMTP();

// As this email.php script lives on the same server as our email server
// we are setting the HOST to localhost  // specify main and backup server
$mail->SMTPDebug  = 2;


$mail->SMTPAuth = true;     // zapne SMTP autentizaci
$mail->SMTPSecure = 'ssl';
$mail->Host = "smtp.gmail.com";
$mail->Port       = 465;
$mail->IsHTML(true);
// Při posílání emailu skrze PHPMailer, musíte použít validní emailovou adresu
// Pro tento případ jsem vytvořil tuto emailovou adresu:
$mail->Username = "saursend@gmail.com";  // SMTP uživatelská adresa
$mail->Password = "Sabaton1"; // SMTP heslo



// Adresa emailu kam budeme posílat feedback
$mail->AddAddress("saurget@gmail.com");

// nastaví word wrap (zalomení dlouhého slova) na 50 znaků
$mail->WordWrap = 50;
// nastaví emailu formát HTML
$mail->IsHTML(true);

$mail->Subject = "Obdrzel jste feedback z vasi stranky!";

// $message obsahuje uživatelovu zprávu
// obsah $message nastavujeme
// na vrcholu této stránky příkazem:
// $message = $_REQUEST['message'] ;
$mail->Body    = $ns . '<br> <br> Hodnoceni: <br> vzhled: '. $vzhled. '<br> tema: '. $tema. '<br> kvalita zpracovani informaci: ' . $kvalita . '<br> <br> feeback: ' . $message;
$mail->AltBody = $ns . '<br> <br> Hodnoceni: <br> vzhled: '. $vzhled. '<br> tema: '. $tema. '<br> kvalita zpracovani informaci: ' . $kvalita . '<br> <br> feeback: ' . $message;

if(!$mail->Send())
{
   echo "Zpráva nemohla být odeslána. <p>";
   echo "Mailer Error: " . $mail->ErrorInfo;
   echo ("Návrat: ");
   exit;
}

echo ("Zpráva odeslána, návrat: ");





?>

<a href="http://www.sauron.4fan.cz/">Hlavní stránka</a>